package me.lensfrex.vegetables.data;

import java.util.Arrays;

/**
 * Vegetable的信息数据类，仅用于存储相关的数据结构
 */
public class Vegetable {
    public static final int PRICE_MIN = 0;
    public static final int PRICE_AVG = 1;
    public static final int PRICE_MAX = 2;

    private String name;
    private double[] price;

    private String priceDate;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public double getPrice(int priceType) {
        return price[priceType];
    }

    public void setPrice(double price, int priceType) {
        this.price[priceType] = price;
    }

    public String getPriceDate() {
        return priceDate;
    }

    public void setPriceDate(String priceDate) {
        this.priceDate = priceDate;
    }

    @Override
    public String toString() {
        return "Vegetable{" +
                "name='" + name + '\'' +
                ", price=" + Arrays.toString(price) +
                ", priceDate='" + priceDate + '\'' +
                '}';
    }
}
